# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit meson git-r3

DESCRIPTION="Console-based editor designed for simplified use like gedit"
HOMEPAGE="https://github.com/istoph/editor"
EGIT_REPO_URI="https://github.com/istoph/editor.git"

LICENSE="Boost-1.0"
PROPERTIES="live"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="=dev-qt/qtcore-5* dev-qt/qtconcurrent dev-libs/icu dev-libs/tuiwidgets dev-libs/posixsignalmanager"
RDEPEND="${DEPEND}"
BDEPEND=""

src_prepare() {
	default
}

src_configure() {
	meson_src_configure
}

src_install() {
	default
	meson_src_install
	doman manpages/*
}
